<?php 
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	
	// Settings
	$images_folder = "uploaded-images";
	$allowed_extentions = array("jpg", "png", "gif");
	$allowed_size = 100000; // 100 kb (in bytes)
	$permanent_upload_path = "";

	$file_name = isset($_FILES["image_file"]["name"]) ? $_FILES["image_file"]["name"] : '';
	$file_size = isset($_FILES["image_file"]["size"]) ? $_FILES["image_file"]["size"] : 0;
	$error_found = isset($_FILES["image_file"]["error"]) && $_FILES["image_file"]["error"] > 0 ? 1 : 0;
	$temp_path = isset($_FILES["image_file"]["tmp_name"]) ? $_FILES["image_file"]["tmp_name"] : '';
	$file_name_parts = explode(".", $file_name);
	$extension = end($file_name_parts);
	$extension = strtolower($extension);
	$success = 1;

	// Check upload error
	if ($error_found > 0) {
		$message = "<div style='color:red;'>Faild to upload. Please try later.</div>";
		$success = 0;
	} else {
		// Check file size
		if ($file_size > $allowed_size) {
			$message = "<div style='color:red;'>Please upload an image file under 100 kb.</div>";
			$success = 0;
		}
		// Check file type (extension)
		if (in_array($extension, $allowed_extentions) == false) {
			$message = "<div style='color:red;'>Please upload an image file (jpg, png, gif).</div>";
			$success = 0;
		}
	}

	// Prepare new file name and move it to actual folder
	if ($success == 1) {
		$new_file_name = date("Y-m-d-H-i-s") . "-" . rand();
		$permanent_upload_path = $images_folder . "/" . $new_file_name . "." . $extension;
		$file_moved = move_uploaded_file($temp_path, $permanent_upload_path);
		// Create confirmation message if the file was moved to actual folder successfully 
		if ($file_moved == true) {
			$message = "<div style='color:green;'>The image was uploaded successfully.</div>";
			// header('Location: upload-confirmation-page.php'); // to avoid re-upload
		} else {
			$message = "<div style='color:red;'>Could not complete the upload. Please try later.</div>";
		}
	}
}
?>

<!DOCTYPE html>
<html>
<head>
	<title>Upload An Image File To Web Server Using PHP</title>
	<meta charset="UTF-8">
	<script>
		function getFileSize() {
			var file_size = document.getElementById("image_file").files[0].size;
			if (file_size > 100000) {
				alert("Please select a file of size under 100 KB");
			}
		}
	</script>
</head>
<body>
	<?php 
		if (isset($message)) {
			echo $message; 
		}
	?>
	<form name="upload_form" method="post" enctype="multipart/form-data" action="index.php">
		<h3>Upload An Image</h3>
		<input name="image_file" id="image_file" type="file" onchange="getFileSize();"><br>
		<br>
		<input name="upload_button" type="submit" value="Upload">
	</form>
</body>
</html>